\name{gene2ix}

\alias{gene2ix}

\title{Gene to index}

\description{Gives the index numbers where genes of interest are 
present on a chip.}

\usage{ 
gene2ix(genes, chip, logic = FALSE) }

\arguments{
    \item{genes}{A vector of gene names of the genes of interest.}
    \item{chip}{A vector of gene names present on the chip.} 
    \item{logic}{Determines the format of the return value. If 
    \code{FALSE}, the function returns list of index numbers, if 
    \code{TRUE} it returns a logical vector as long as \code{chip}.}
}

\details{Given a list of gene names and the complete list of the 
names of genes on a chip, the function returns the locations of 
the genes of interest on the chip. The names must match exactly.}

\note{The result of \code{gene2ix} can be used as input of the 
test.genes option of the function \code{\link{globaltest}}.}

\value{If \code{logic = FALSE} (default), a list of index numbers 
is returned. If \code{logic = TRUE}}, a vector of length 
\code{length(chip)} is returned, having \code{TRUE} if the gene 
on the chip is among the genes of interest.}

\author{Jelle Goeman: \email{j.j.goeman@lumc.nl}.}

\examples{ 
    my.chip = c("a", "b", "c", "d", "e")
    my.genes = c("a", "b", "f")
    ix <- gene2ix(my.genes, my.chip)
    ix
    
    ix <- gene2ix(my.genes, my.chip, logic = TRUE)
    ix
}

\keyword{character}
    
  
    
